> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish Agent

> Publish a new agent.



## OpenAPI

````yaml /openapi.json post /v1/agents
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/agents:
    post:
      tags:
        - agents
      summary: Publish Agent
      description: Publish a new agent.
      operationId: publish_agent_v1_agents_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SkillPublishRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillPublishResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    SkillPublishRequest:
      properties:
        slug:
          type: string
          maxLength: 60
          minLength: 3
          pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$
          title: Slug
        title:
          type: string
          maxLength: 100
          minLength: 3
          title: Title
        description:
          type: string
          maxLength: 1024
          minLength: 10
          title: Description
        long_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Long Description
        category:
          type: string
          maxLength: 50
          minLength: 2
          title: Category
        type:
          type: string
          pattern: ^(skill|agent)$
          title: Type
          default: skill
        price_cents:
          type: integer
          minimum: 0
          title: Price Cents
          default: 0
      type: object
      required:
        - slug
        - title
        - description
        - category
      title: SkillPublishRequest
    SkillPublishResponse:
      properties:
        slug:
          type: string
          title: Slug
        id:
          type: string
          title: Id
        status:
          type: string
          title: Status
        message:
          type: string
          title: Message
      type: object
      required:
        - slug
        - id
        - status
        - message
      title: SkillPublishResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Provide a Clerk JWT or a long-lived CLI token (prefix `ap_cli_`).  Pass
        as `Authorization: Bearer <token>`.

````